diff --git a/test_plans/cvl_fdir_test_plan.rst b/test_plans/cvl_fdir_test_plan.rst
index 8799f1ed..9f4cae4a 100644
--- a/test_plans/cvl_fdir_test_plan.rst
+++ b/test_plans/cvl_fdir_test_plan.rst
@@ -38,7 +38,6 @@ Enable fdir filter for IPv4/IPv6 + TCP/UDP/SCTP  (OS default package)
 Enable fdir filter for UDP tunnel: Vxlan / NVGRE (OS default package)
 Enable fdir filter for GTP (comm #1 package)
 Enable fdir filter for L2 Ethertype (comm #1 package)
-Enable fdir filter for eCPRI (ice_wireless_edge package)
 
 Pattern and input set
 ---------------------
@@ -88,10 +87,6 @@ Pattern and input set
     +------------------------------+----------------------------+-------------------------------------------------------------------------------+
     | L2 Ethertype                 |      L2 Ethertype          | [Ethertype]                                                                   |
     +------------------------------+----------------------------+-------------------------------------------------------------------------------+
-    | eCPRI                        | eCPRI over IP/UDP header   | [ecpriPC_ID]                                                                  |
-    +------------------------------+----------------------------+-------------------------------------------------------------------------------+
-    |                              | eCPRI over Ethernet header | [ecpriPC_ID]                                                                  |
-    +------------------------------+----------------------------+-------------------------------------------------------------------------------+
 
 .. note::
 
@@ -155,49 +150,6 @@ Prerequisites
 
     ./testpmd -c 0xff -n 6 -w 86:00.0 -w 86:00.1 --log-level="ice,7" -- -i --portmask=0xff --rxq=64 --txq=64 --port-topology=loop
 
-eCPRI pre-steps:
-
-1. Copy wireless specific package to /lib/firmware/updates/intel/ice/ddp/ice.pkg
-
-2. load driver::
-
-    rmmod ice
-    insmod ice.ko
-
-3. Generate 4 VFs on PF0 and set mac address::
-
-    echo 4 > /sys/bus/pci/devices/0000:3b:00.0/sriov_numvfs
-    ./usertools/dpdk-devbind.py -s
-    0000:3b:01.0 'Ethernet Adaptive Virtual Function 1889' if=enp59s1 drv=iavf unused=vfio-pci
-    0000:3b:01.1 'Ethernet Adaptive Virtual Function 1889' if=enp59s1f1 drv=iavf unused=vfio-pci
-    0000:3b:01.2 'Ethernet Adaptive Virtual Function 1889' if=enp59s1f2 drv=iavf unused=vfio-pci
-    0000:3b:01.3 'Ethernet Adaptive Virtual Function 1889' if=enp59s1f3 drv=iavf unused=vfio-pci
-
-    ip link set enp59s0f0 vf 0 mac 00:11:22:33:44:55
-    ip link set enp59s0f0 vf 1 mac 00:11:22:33:44:66
-    ip link set enp59s0f0 vf 2 mac 00:11:22:33:44:77
-    ip link set enp59s0f0 vf 3 mac 00:11:22:33:44:88
-
-4. Set VF0 as trust::
-
-    ip link set enp59s0f0 vf 0 trust on
-
-5. Bind 3 VFs to dpdk driver, keep one VF in kernel::
-
-    modprobe vfio-pci
-    ./usertools/dpdk-devbind.py -b vfio-pci 0000:3b:01.0 0000:3b:01.1 0000:3b:01.2
-
-6. Launch dpdk on VF0, VF1 and VF2, and VF0 request DCF mode::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xff -n 6 -w 0000:3b:01.0,cap=dcf -w 0000:3b:01.1 -w 0000:3b:01.2 -- -i --rxq=16 --txq=16
-
-    testpmd> set fwd rxonly
-    testpmd> set verbose 1
-    testpmd> start
-    testpmd> show port info all
-
-   check the VF0 driver is net_ice_dcf.
-
 Default parameters
 ------------------
 
@@ -566,26 +518,6 @@ Send packets
 
     sendp([Ether(dst="00:11:22:33:44:55",type=0x88f7)/"\\x00\\x02"], iface="enp134s0f1")
 
-* eCPRI over Ethernet header packets
-
-   matched packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp134s0f1")
-
-   unmatched packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x46')], iface="enp134s0f1")
-
-* eCPRI over IP/UDP header packets
-
-   matched packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp134s0f1")
-
-   unmatched packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x46')], iface="enp134s0f1")
-
 Test case: flow validation
 ==========================
 
@@ -3879,440 +3811,3 @@ So there can be created 14848 fdir rules on 1 PF port.
    there is no rule listed.
 
 6. verify matched packets for rule 0 and rule 15359 received without FDIR matched ID.
-
-
-==============
-eCPRI Protocol
-==============
-Test case: eCPRI over Ethernet haader pattern
-=============================================
-Enable RSS of eCPRI over Ethernet header in advance::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data / end actions rss types ecpri end key_len 0 queues end / end
-
-Subcase 1: queue index
-----------------------
-
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 3 / mark id 1 / end
-
-2. create filter rules::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 3 / mark id 1 / end
-
-3. send matched packets, check the packets are distributed to queue 3 with FDIR matched ID=0x1.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 2: rss queues
-=====================
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions rss queues 5 6 end / mark id 2 / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions rss queues 5 6 end / mark id 2 / end
-
-3. send matched packets, check the packets are distributed to queue 5 or 6 with FDIR matched ID=0x2.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 3: drop
-===============
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions drop / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions drop / end
-
-3. send matched packets, check the packets are dropped.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 4: passthru
-===================
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions passthru / mark id 1 / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions passthru / mark id 1 / end
-
-3. send matched packets, check the packets are distributed by RSS with FDIR matched ID=0x1.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 5: mark + rss
-=====================
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions mark / rss / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions mark / rss / end
-
-3. send matched packets, check the packets are distributed by RSS with FDIR matched ID=0x0.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 6: mark
-===============
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions mark / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions mark / end
-
-3. send matched packets, check the packets are distributed by RSS with FDIR matched ID=0x0.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-Test case: eCPRI over IP/UDP haader pattern
-===========================================
-Add eCPRI port config in DCF::
-
-    port config 0 udp_tunnel_port add ecpri 0x5123
-
-Enable RSS of eCPRI over IP/UDP header in advance::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data / end actions rss types ecpri end key_len 0 queues end / end
-
-Subcase 1: queue index
-----------------------
-
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 2 / mark / end
-
-2. create filter rules::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 2 / mark / end
-
-3. send matched packets, check the packets are distributed to queue 2 with FDIR matched ID=0x0.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 2: rss queues
-=====================
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions rss queues 5 6 end / mark id 2 / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions rss queues 5 6 end / mark id 2 / end
-
-3. send matched packets, check the packets are distributed to queue 5 or 6 with FDIR matched ID=0x2.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 3: drop
-===============
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions drop / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions drop / end
-
-3. send matched packets, check the packets are dropped.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 4: passthru
-===================
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions passthru / mark id 1 / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions passthru / mark id 1 / end
-
-3. send matched packets, check the packets are distributed by RSS with FDIR matched ID=0x1.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 5: mark + rss
-=====================
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions mark / rss / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions mark / rss / end
-
-3. send matched packets, check the packets are distributed by RSS with FDIR matched ID=0x0.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-subcase 6: mark
-===============
-1. validate fdir rule, and no rule listed::
-
-    flow validate 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions mark / end
-
-2. create fdir rule::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions mark / end
-
-3. send matched packets, check the packets are distributed by RSS with FDIR matched ID=0x0.
-   send unmatched packets, check the packets are distributed by RSS without FDIR matched ID.
-
-4. verify rules can be listed and destroyed::
-
-    testpmd> flow list 1
-
-   check the rule listed.
-   destroy the rule::
-
-    testpmd> flow destroy 1 rule 1
-
-5. verify matched packets are distributed by RSS without FDIR matched ID.
-   check there is no fdir rule listed.
-
-Test case: multirules
-=====================
-Add eCPRI port config in DCF::
-
-    port config 0 udp_tunnel_port add ecpri 0x5123
-
-Enable RSS for eCPRI over MAC/UDP::
-
-    flow create 1 ingress pattern eth / ecpri common type iq_data / end actions rss types ecpri end key_len 0 queues end / end
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data / end actions rss types ecpri end key_len 0 queues end / end
-    flow create 2 ingress pattern eth / ecpri common type iq_data / end actions rss types ecpri end key_len 0 queues end / end
-    flow create 2 ingress pattern eth / ipv4 / udp / ecpri common type iq_data / end actions rss types ecpri end key_len 0 queues end / end
-
-1. create multi rules::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions rss queues 5 6 end / mark id 0 / end
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2346 / end actions passthru / mark id 1 / end
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions drop / end
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2346 / end actions queue index 1 / mark id 2 / end
-    flow create 2 ingress pattern eth / ecpri common type iq_data pc_id is 0x2346 / end actions mark id 3 / end
-    flow create 2 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2346 / end actions mark / rss / end
-
-2. send matched packets and unmatched packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:66")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x46')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:66", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:66", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x46')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:77", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:77", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x46')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:77")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:77")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x46')], iface="enp216s0f0")
-
-3. check results:
-   pkt1 to queue 5 or 6 with mark id 0
-   pkt2 is distributed by rss with mark id 1
-   pkt3 drop
-   pkt4 to queue 1 with mark id 2
-   pkt5 is distributed by rss
-   pkt6 is distributed by rss with mark id 3
-   pkt7 is distributed by rss
-   pkt8 is distributed by rss with mark id 0
-
-Test case: negative case
-========================
-1. create ecpri over IP/UDP fdir rule without setting DCF eCPRI port::
-
-    testpmd> flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions rss queues 5 6 end / mark id 0 / end
-    iavf_fdir_add(): Failed to add rule request due to no hw resource
-    iavf_flow_create(): Failed to create flow
-    port_flow_complain(): Caught PMD error type 2 (flow rule (handle)): Failed to create parser engine.: Invalid argument
-
-2. check there is no rule listed.
-
-Test case: DCF reset
-====================
-1. add eCPRI port config in DCF::
-
-    port config 0 udp_tunnel_port add ecpri 0x5123
-
-   create two fdir rules::
-
-    flow create 1 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 1 / mark id 1 / end
-    flow create 1 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 2 / mark id 2 / end
-
-2. send packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:66", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-
-   check pkt1 is to queue 1 with mark id 1, pkt2 is to queue 2 with mark id 2
-
-3. reset DCF by set mac address::
-
-    ip link set enp59s0f0 vf 0 mac 00:11:22:33:44:11
-
-4. send same packets, check pkt1 is distributed by rss without mark id, pkt2 is to queue 2 with mark id 2
-
-5. quit testpmd and repeat step 1 and step 2, get same results.
-
-6. reset DCF by set trust off::
-
-    ip link set enp59s0f0 vf 0 trust off
-
-7. send same packets check pkt1 is distributed by rss without mark id, pkt2 is to queue 2 with mark id 2.
-
-Test case: DCF exit
-===================
-1. start testpmd with dcf mode on vf0::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xff -n 6 -w 0000:3b:01.0,cap=dcf --file-prefix=vf0 -- -i
-
-   add eCPRI port config in DCF::
-
-    port config 0 udp_tunnel_port add ecpri 0x5123
-
-2. start testpmd with iavf mode on vf1 and vf2::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xff00 -n 6 -w 0000:3b:01.1 -w 0000:3b:01.2 --file-prefix=vf1 -- -i --rxq=16 --txq=16
-
-   create two fdir rules::
-
-    flow create 0 ingress pattern eth / ipv4 / udp / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 1 / mark id 1 / end
-    flow create 0 ingress pattern eth / ecpri common type iq_data pc_id is 0x2345 / end actions queue index 2 / mark id 2 / end
-
-3. send packets::
-
-    sendp([Ether(dst="00:11:22:33:44:66")/IP()/UDP(dport=0x5123)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-    sendp([Ether(dst="00:11:22:33:44:66", type=0xAEFE)/Raw('\x10\x00\x02\x24\x23\x45')], iface="enp216s0f0")
-
-   check pkt1 is to queue 1 with mark id 1, pkt2 is to queue 2 with mark id 2
-
-4. quit dcf testpmd, send same packets,
-   check pkt1 is distributed by rss without mark id, pkt2 is to queue 2 with mark id 2.